# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2019-01-20 21:55
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('sale_opportunity', '0007_auto_20181207_2301'),
    ]

    operations = [
        migrations.CreateModel(
            name='SaleOpportunityLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('actual_phase', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='actual_phase', to='sale_opportunity.Phase', verbose_name='Fase actual')),
                ('new_phase', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='new_phase', to='sale_opportunity.Phase', verbose_name='Fase nueva')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='UnitLength',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_modified', models.DateTimeField(auto_now=True, null=True)),
                ('is_deleted', models.BooleanField(default=False, verbose_name='Elimina logicamente')),
                ('name', models.CharField(max_length=20, verbose_name='Nombre')),
            ],
            options={
                'verbose_name': 'Unidad de medida',
                'verbose_name_plural': 'Unidades de medida',
            },
        ),
        migrations.AddField(
            model_name='activity',
            name='meeting_result',
            field=models.TextField(blank=True, max_length=1000, null=True, verbose_name='(*)Resultado de reunion'),
        ),
        migrations.AddField(
            model_name='saleopportunity',
            name='quantity',
            field=models.PositiveIntegerField(null=True, verbose_name='Cantidad'),
        ),
        migrations.AlterField(
            model_name='saleopportunity',
            name='sale_anio',
            field=models.CharField(default='2019', max_length=4),
        ),
        migrations.AddField(
            model_name='saleopportunitylog',
            name='sale_opportunity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sale_opportunity', to='sale_opportunity.SaleOpportunity'),
        ),
        migrations.AddField(
            model_name='saleopportunity',
            name='unit_length',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='saleOpportunities', to='sale_opportunity.UnitLength', verbose_name='Unidad de medida'),
        ),
    ]
